package sgc.portal.ei.ei0102.persistence;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.ei.ei0102.dto.EI01020001USearch;
import sgc.portal.ei.ei0102.model.EI01020001U;

@Mapper
public interface EI01020001UMapper {
	
	/*
     * SEARCH LIST
     */
    List<EasyHashMap<String, Object>> getList(EI01020001USearch search);
    
    List<EasyHashMap<String, Object>> getList2(EI01020001USearch search);
    
    List<EasyHashMap<String, Object>> getList3(EI01020001USearch search);
    
    List<EasyHashMap<String, Object>> getListCnt(EI01020001U eI01020001U);
    
    List<EasyHashMap<String, Object>> getSpecCd(EI01020001USearch search);
    
    int getBacklogCnt(EI01020001USearch search);
    
    /*
     * UPDATE
     */
    int update1(EI01020001U eI01020001U);
    
    int update2(EI01020001U eI01020001U);
    
    int update3(EI01020001U eI01020001U);
    
    int insertOrUpdate1(EI01020001U eI01020001U);
    
    int insertOrUpdate2(EI01020001U eI01020001U);
    
    int insertOrUpdate3(EI01020001U eI01020001U);
    
    
    /*
     * INSERT
     */
    int insert1(EI01020001U eI01020001U);
    
    int insertBacklogFcst(EI01020001U eI01020001U);
}
